DTEDSubframedFrame.ImageData.Byte (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.dted
Class DTEDSubframedFrame.ImageData.Byte

    java.lang.Object
      com.bbn.openmap.layer.dted.DTEDSubframedFrame.ImageData
          com.bbn.openmap.layer.dted.DTEDSubframedFrame.ImageData.Byte

Enclosing class:
  DTEDSubframedFrame.ImageData

    protected static class DTEDSubframedFrame.ImageData.Byte

extends DTEDSubframedFrame.ImageData

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.layer.dted.DTEDSubframedFrame.ImageData
`DTEDSubframedFrame.ImageData.Byte, DTEDSubframedFrame.ImageData.Pixel`

Constructor Summary
`protected` | `DTEDSubframedFrame.ImageData.Byte(int w, int h, java.awt.Color[] colors)`

Method Summary
`protected void` | `set(short x, short y, int value)`
`protected void` | `updateData(DTEDFrameSubframe dfs)`

Methods inherited from class com.bbn.openmap.layer.dted.DTEDSubframedFrame.ImageData
`getImageData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTEDSubframedFrame.ImageData.Byte

    protected DTEDSubframedFrame.ImageData.Byte(int w,
                                                int h,
                                                java.awt.Color[] colors)

Method Detail

### set

    protected void set(short x,
                       short y,
                       int value)

  Specified by:
    `set` in class `DTEDSubframedFrame.ImageData`

### updateData

    protected void updateData(DTEDFrameSubframe dfs)

  Specified by:
    `updateData` in class `DTEDSubframedFrame.ImageData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details